org.apache.cassandra.service

## Class DefaultFSErrorHandler

- java.lang.Object
- - org.apache.cassandra.service.DefaultFSErrorHandler

All Implemented Interfaces:
  FSErrorHandler

    public class DefaultFSErrorHandler
    extends java.lang.Object
    implements FSErrorHandler

### Constructor Summary

Constructors
Constructor and Description
`DefaultFSErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleCorruptSSTable(CorruptSSTableException e)`
`void` `handleFSError(FSError e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultFSErrorHandler

    public DefaultFSErrorHandler()

### Method Detail

#### handleCorruptSSTable

    public void handleCorruptSSTable(CorruptSSTableException e)

Specified by:
  `handleCorruptSSTable` in interface `FSErrorHandler`

#### handleFSError

    public void handleFSError(FSError e)

Specified by:
  `handleFSError` in interface `FSErrorHandler`